Bug 144741 - [NEW PORT] net/gpxe: Create an open-source PXE implementation and bootloader
Summary: [NEW PORT] net/gpxe: Create an open-source PXE implementation and bootloader
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Olli Hauer
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-03-14 17:50 UTC by Gürkan Karaman
Modified: 2010-08-12 21:40 UTC (History)
0 users

See Also:


Attachments
file.shar (4.08 KB, text/plain)
2010-03-14 17:50 UTC, Gürkan Karaman
no flags Details
gpxe_tabs.shar (3.66 KB, application/x-shar)
2010-06-29 15:24 UTC, Chris Rees
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Gürkan Karaman 2010-03-14 17:50:06 UTC
gPXE is an open-source PXE implementation and bootloader.

Create network booting code that allows computers to load
their operating system from a network or to extend an
existing PXE implementation with support for additional
protocols, such iSCSI, HTTP, TFTP, NFS, FTP and ATA
over Ethernet.

WWW: http://etherboot.org
Comment 1 Martin Wilke freebsd_committer 2010-03-14 19:29:36 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

I'll take it.
Comment 2 Chris Rees 2010-06-29 15:24:22 UTC
This port's Makefile uses spaces after each variable, and before shell
commands. This means that the Makefile dies with errors.

I've posted a patch with tabs instead, and a shar with the same at, as
well as attaching the shar:

Patch:

http://www.bayofrum.net/~chris/gpxe_tabs.diff

Shar:
http://www.bayofrum.net/~chris/gpxe_tabs.shar

Also, when making shars, please use relative paths;

instead of:

~% shar `find /usr/ports/net/gpxe`

Use:

~% cd /usr/ports && shar `find net/gpxe`

so that anyone trying to use it can put it where they choose without
having to use sed to change the paths!

Thanks,

Chris
Comment 3 Martin Wilke freebsd_committer 2010-07-13 03:13:17 UTC
Responsible Changed
From-To: miwi->freebsd-ports-bugs

back to pool
Comment 4 Olli Hauer freebsd_committer 2010-08-09 22:54:13 UTC
Responsible Changed
From-To: freebsd-ports-bugs->ohauer

I'll take it
Comment 5 Olli Hauer freebsd_committer 2010-08-10 00:01:42 UTC
State Changed
From-To: open->feedback

Hello Gürkan, 

I've uploaded an shar file for gpxe version 1.0.1. 
http://people.freebsd.org/~ohauer/diffs/gpxe-1.0.1.shar 

Do you agree if I use 'ue' instead an 'ü' in your name? 
Example port with umlauts in maintainer name audio/mythplugin-mythmusic
Comment 6 Olli Hauer freebsd_committer 2010-08-12 21:21:45 UTC
State Changed
From-To: feedback->closed

- port submitted 

thanks
Comment 7 dfilter service freebsd_committer 2010-08-12 21:33:59 UTC
ohauer      2010-08-12 20:30:50 UTC

  FreeBSD ports repository

  Modified files:
    net/gpxe             Makefile 
  Log:
  - force commit to correct PR number
  
  PR: 144741
  Approved by:    glarkin (mentor)
  
  Revision  Changes    Path
  1.2       +0 -0      ports/net/gpxe/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"